# Generated by Django 3.0.6 on 2020-05-16 12:03

import address.models
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('address', '0002_auto_20160213_1726'),
    ]

    operations = [
        migrations.CreateModel(
            name='BankAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bank_account_number', models.CharField(help_text='Please provide bank account number as a form of xxxxxxxx-xxxxxxxx-xxxxxxxx', max_length=24, verbose_name='bank account number')),
            ],
        ),
        migrations.CreateModel(
            name='OrganizationModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=500)),
                ('registration_number', models.CharField(max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='TaxationModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tax_number', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='PersonModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gender', models.CharField(blank=True, choices=[('female', 'Female'), ('male', 'Male')], default=None, max_length=10, null=True)),
                ('phone_number', phonenumber_field.modelfields.PhoneNumberField(help_text='Phone number, desc.', max_length=128, region=None, verbose_name='phone number')),
                ('email', models.EmailField(help_text='Phone number, desc.', max_length=254, verbose_name='phone number')),
                ('permanent_address', address.models.AddressField(help_text='Permanent address, desc.', on_delete=django.db.models.deletion.CASCADE, related_name='permanent_residents', to='address.Address', verbose_name='permanent address')),
                ('temporary_address', address.models.AddressField(blank=True, default=None, help_text='temporary address, desc.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='termorary_residents', to='address.Address', verbose_name='temporary address')),
            ],
        ),
        migrations.CreateModel(
            name='EmploymentModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('begin', models.DateTimeField(default=django.utils.timezone.now)),
                ('end', models.DateTimeField(blank=True, default=None, null=True)),
                ('organization', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='corgy_mdm.OrganizationModel')),
                ('person', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='corgy_mdm.PersonModel')),
            ],
        ),
    ]
